const { MessageEmbed } = require("discord.js");
const prefix = process.env.BOT_PREFIX || '-';

module.exports.meta = {
    name: 'help',
    aliases: ['h'],
    staffOnly: false
}

module.exports.run = async (message, args) => {
    let embed = new MessageEmbed()
        .setTitle('Obama bot')
        .setDescription(`Epic obama bot help`)
        
    addCmd(embed, 'obamium', 'Spawn obamium');
    addCmd(embed, 'vbucks', 'Get free vbucks');
    addCmd(embed, 'ping', 'Show the bot\'s ping');
    addCmd(embed, 'coins', 'See how much karma/coins you have');
    addCmd(embed, 'top', 'Karma leaderboard');
    addCmd(embed, 'setcoins', '[Staff command] Manage a user\'s coins')
    
    message.channel.send(embed);
}

/**
 * 
 * @param {MessageEmbed} embed 
 * @param {string} cmd 
 * @param {string} text 
 */
function addCmd(embed, cmd, text) {
    embed.addField(`${prefix}${cmd}`, text, true);
}